> ## Documentation Index
> Fetch the complete documentation index at: https://docs.methodfi.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Queue Attribute Behaviors

Use this simulation to queue attribute behaviors that run the next time you execute the Attributes product for an entity.

> [!WARNING]
>
> Simulation endpoints are only available in the development environment. Teams with live treasury access cannot use them.

## Path Parameters

## Body

```bash cURL theme={null}
curl https://dev.methodfi.com/simulate/entities/{entity_id}/attributes \
  -X POST \
  -H "Method-Version: 2026-03-30" \
  -H "Authorization: Bearer sk_test_xxx" \
  -H "Content-Type: application/json" \
  -d '{
    "behaviors": ["new_soft_inquiry"]
    }'
```

```javascript Node.js theme={null}
const attributesSimulationConfiguration = await method
.simulate
.entities(entityId)
.attributes
.create({
  behaviors: ["new_soft_inquiry"]
});
```

```python Python theme={null}
attributes_simulation_configuration = method.simulate.entities(entity_id).attributes.create({
  "behaviors": ["new_soft_inquiry"]
})
```

```json theme={null}
{
  "success": true,
  "data": null,
  "message": null
}
```


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.